5 Replies Latest reply on Dec 18, 2011 5:18 PM by Susan Mims

    Digital Editions and the Mac to borrow library books to the Nook

    Jeff Frank

      Trying to load Adobe Digital Editions-- go to launch and says "sorry, but your system does not meet minimum system requirements."  I have Mac OS 10.7 Lion and Safari 5.1.  Want to use it to load loaned library books to my computer to use on the Nook.  Whats wrong-- these are the latest systems.  Is there a way to get around the problem?